<?php

namespace SGalinski\TypoScriptReferenceFrontend\Controller;

/*                                                                        *
 * This script belongs to the TYPO3 Flow package "SGalinski.TypoScriptReferenceFrontend".*
 *                                                                        *
 *                                                                        */

use SGalinski\TypoScriptReferenceFrontend\Service\TsrefRestService;
use TYPO3\Flow\Annotations as Flow;

class TsrefController extends \TYPO3\Flow\Mvc\Controller\ActionController {
	/**
	 * @var TsrefRestService
	 */
	protected $tsrefRestService;

	/**
	 * The constructor is used for dependency injection.
	 *
	 * @param TsrefRestService $service
	 */
	public function __construct(TsrefRestService $service) {
		$this->tsrefRestService = $service;
	}

	/**
	 * The action which fetches initial data for typoScript reference page, and displays the page.
	 *
	 * @return void
	 */
	public function indexAction() {
		$jsonAttributes = $this->tsrefRestService->getAttributesJson(TRUE);
		$this->view->assign(
			'foos', [
				'bar', $jsonAttributes
			]
		);
	}
}